package cn.com.infosec.asn1;

import cn.com.infosec.util.Arrays;

public class DERUnknownTag extends DERObject {
   int tag;
   byte[] data;

   public DERUnknownTag(int tag, byte[] data) {
      this.tag = tag;
      this.data = data;
   }

   public int getTag() {
      return this.tag;
   }

   public byte[] getData() {
      return this.data;
   }

   void encode(DEROutputStream out) {
      DERUnknownTag var10001 = this;
      int var2 = this.tag;
      out.writeEncoded(var2, var10001.data);
   }

   public boolean equals(Object o) {
      if (!(o instanceof DERUnknownTag)) {
         return false;
      } else {
         DERUnknownTag o1 = (DERUnknownTag)o;
         return this.tag == o1.tag && Arrays.areEqual(this.data, o1.data);
      }
   }

   public int hashCode() {
      return this.tag ^ Arrays.hashCode(this.data);
   }
}
